[MonoDevelop] Trouble MonoDevelop to work reliably on Ubuntu - Is this just a buggy difficult to install tool?

Michael Hutchinson m.j.hutchinson at gmail.com
Sat Sep 27 18:37:19 EDT 2008

On Fri, Sep 19, 2008 at 9:29 PM, Aris J. Green <greenaj at cox.net> wrote:
> I installed Mono 1.9 and MonoDevelop 1.0 on Ubuntu Hardy and can't seem

How did you install Mono 1.9? Please see

> to get it to work well.  The IDE often crashes when closing a file
> dialog and addins seem to be missing.  I also can't add a new add-in
> repository without the IDE crashing.

We can't do anything about these unless you give us stack traces.
Start MD from a terminal, and when it crashes you will see stack
traces (and if you run it with --debug, they will have line numbers,
which is more useful).

> Is there a basic list of what I need to install to get this thing to
> work.  Do I need Mono 1.0 also?

No, MD works best with the newest releases on Mono and GTK#.
Ubuntu/Debian is known to have problems with MonoDevelop and GTK# --
it's believed that this is something to do with the
version/configuration of other libraries on these systems. No-one's
yet managed to track it down; the core MD developers uses SUSE
variants, and we have very few contributions from Ubuntu users. MD is
very stable on openSUSE and SLED.

BTW, putting "Is this just a buggy difficult to install tool" in your
message's subject isn't a good way to get a friendly response. I
almost didn't even both to read it.

Michael Hutchinson

More information about the Monodevelop-list mailing list